"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const styled_components_1 = require("styled-components");
const client_utils_1 = require("@sensenet/client-utils");
const loader_gif_1 = tslib_1.__importDefault(require("../../assets/loader.gif"));
const models_1 = require("../models");
const Enums_1 = require("../Enums");
const context_1 = require("../context");
const DocumentViewerError_1 = require("./DocumentViewerError");
const DocumentViewerLayout_1 = require("./DocumentViewerLayout");
const DocumentViewerLoading_1 = require("./DocumentViewerLoading");
const DocumentViewerRegeneratePreviews_1 = require("./DocumentViewerRegeneratePreviews");
exports.DocumentViewer = props => {
    return (react_1.default.createElement(context_1.DocumentViewerApiSettingsProvider, { options: props.api },
        react_1.default.createElement(context_1.LocalizationContext.Provider, { value: client_utils_1.deepMerge(context_1.defaultLocalization, props.localization) },
            react_1.default.createElement(context_1.ViewerSettingsContext.Provider, { value: props },
                react_1.default.createElement(styled_components_1.ThemeProvider, { theme: props.theme || models_1.defaultTheme },
                    react_1.default.createElement(context_1.DocumentDataProvider, null,
                        react_1.default.createElement(context_1.DocumentPermissionsContextProvider, null,
                            react_1.default.createElement(context_1.PreviewImageDataContextProvider, null,
                                react_1.default.createElement(context_1.DocumentDataContext.Consumer, null, ({ documentData }) => {
                                    if (documentData.pageCount === Enums_1.PreviewState.Loading)
                                        return react_1.default.createElement(DocumentViewerLoading_1.DocumentViewerLoading, { image: props.loaderImage || loader_gif_1.default });
                                    if (documentData.pageCount === Enums_1.PreviewState.Postponed) {
                                        return react_1.default.createElement(DocumentViewerRegeneratePreviews_1.DocumentViewerRegeneratePreviews, null);
                                    }
                                    else if (documentData.pageCount < 0 || documentData.error) {
                                        return react_1.default.createElement(DocumentViewerError_1.DocumentViewerError, null);
                                    }
                                    return (react_1.default.createElement(context_1.ViewerStateProvider, { options: props.defaultState },
                                        react_1.default.createElement(context_1.CommentStateProvider, null,
                                            react_1.default.createElement(DocumentViewerLayout_1.DocumentViewerLayout, { drawerSlideProps: props.drawerSlideProps }, props.children))));
                                })))))))));
};
//# sourceMappingURL=DocumentViewer.js.map