"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton"));
const ZoomIn_1 = tslib_1.__importDefault(require("@material-ui/icons/ZoomIn"));
const ZoomOut_1 = tslib_1.__importDefault(require("@material-ui/icons/ZoomOut"));
const react_1 = tslib_1.__importStar(require("react"));
const hooks_1 = require("../../hooks");
/**
 * Document widget component for modifying the zoom mode / level
 */
exports.ZoomInOutWidget = () => {
    const viewerState = hooks_1.useViewerState();
    const zoomIn = react_1.useCallback(() => {
        viewerState.updateState({
            fitRelativeZoomLevel: viewerState.fitRelativeZoomLevel + 1,
        });
    }, [viewerState]);
    const zoomOut = react_1.useCallback(() => {
        viewerState.updateState({
            fitRelativeZoomLevel: viewerState.fitRelativeZoomLevel - 1,
        });
    }, [viewerState]);
    return (react_1.default.createElement("div", { style: { display: 'inline-block' } },
        react_1.default.createElement(IconButton_1.default, { color: "inherit", onClick: zoomIn },
            react_1.default.createElement(ZoomIn_1.default, null)),
        react_1.default.createElement(IconButton_1.default, { color: "inherit", onClick: zoomOut },
            react_1.default.createElement(ZoomOut_1.default, null))));
};
//# sourceMappingURL=ZoomInOut.js.map